Bug 513844 - pvmove man page SourcePhysicalVolume clarifications
pvmove man page SourcePhysicalVolume clarifications
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Zdenek Kabelac
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-26 10:57 EDT by Ian Dall
Modified: 2011-06-27 10:18 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Shell script (1.03 KB, text/plain)
2009-07-26 10:57 EDT, Ian Dall
no flags Details
Output from shell script (1.94 KB, text/plain)
2009-07-26 10:59 EDT, Ian Dall
no flags Details

  None (edit)
Description Ian Dall 2009-07-26 10:57:39 EDT
Created attachment 355198 [details]
Shell script

Description of problem:
pvmove -n "LV" /dev/<bdev>

reports "No data to move for <volume>" and exits with status 5,
even when it is expected that data should be found to move.

Version-Release number of selected component (if applicable):
lvm2-2.02.39-7

How reproducible:
Always

Steps to Reproduce:
1.Setup two loopback devices /dev/loop0 and /dev/loop1 and perform pvcreate on them.
2.Create two volume groups vgtest1 with /dev/loop0 and vgtest2 with /dev/loop1
3.Create logical volumes fs1 and fs1a on vg1 and fs2 on vg2
4.Merge vg1 and vg2
5.pvmove -v -n "fs1a" /dev/loop1
  
Actual results:

    Finding volume group "vgtest1"
    Archiving volume group "vgtest1" metadata (seqno 4).
    Creating logical volume pvmove0
  No data to move for vgtest1

exit status is 5
 
Expected results:

Extents associated with fs1a moved to /dev/loop1, allowing subsequent vgsplit, resulting in fs1a moved to vgtest2

Additional info:

shell script and output attached.
Comment 1 Ian Dall 2009-07-26 10:59:15 EDT
Created attachment 355199 [details]
Output from shell script
Comment 2 Alasdair Kergon 2009-07-26 11:09:10 EDT
1) Run with -vvvv for more info about what it's doing.

2) Check your cmdline syntax carefully - that cmd asks it to remove fs1a from /dev/loop1 - but it's already not on there, isn't it?
Comment 3 Ian Dall 2009-07-27 02:28:34 EDT
Thanks, I have misunderstood how this works. It seems to not be a bug in pvmove, but the documentation could be better and in fact pvmove --help and man pvmove SYNOPSIS differ.

man pvmove:

  pvmove
    [--abort]    [--alloc   AllocationPolicy]   [-b/--background]
       [-d/--debug]   [-h/--help]   [-i/--interval   Seconds]   [-v/--verbose]
       [-n/--name  LogicalVolume] [SourcePhysicalVolume[:PE[-PE]...] [Destina-
       tionPhysicalVolume[:PE[-PE]...]...]]

pvmove --help:

   pvmove 
	[--abort]
	[-A|--autobackup {y|n}]
	[--alloc AllocationPolicy]
	[-b|--background]
	[-d|--debug]
 	[-h|-?|--help]
	[-i|--interval seconds]
	[-t|--test]
 	[-v|--verbose]
 	[--version]
	[{-n|--name} LogicalVolume]
	SourcePhysicalVolume[:PhysicalExtent[-PhysicalExtent]...]}
	[DestinationPhysicalVolume[:PhysicalExtent[-PhysicalExtent]...]...]


The former seems to show SourcePhysicalVolume as an optional argument and the latter shows it as a required argument. Can I also suggest that the first paragraph of the manpage DESCRIPTION could be changed to read:

       pvmove allows you to move the allocated physical extents (PEs) on Sour-
       cePhysicalVolume  to one or more other physical volumes (PVs).  You can
       optionally specify a source LogicalVolume in which  case  only [those
       extents on the SourcePhysicalVolume] used  by that LV will be moved to
       free (or specified) extents on DestinationPhysicalVolume(s). [...]

edits shown by brackets "[...]".
Comment 4 Bug Zapper 2009-11-18 07:10:41 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 04:38:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Bug Zapper 2010-03-15 08:43:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-02 13:53:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2011-06-27 10:18:35 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.